Connect with us

Tech

HBO Max: The 40 Best TV Shows to Watch

Published

on

HBO Max: The 40 Best TV Shows to Watch

HBO Max has gradually built up a stack of TV shows well worth your binge-watching hours. The home of Succession and The White Lotus, HBO Max brings you new shows and episodes each week.

Check out the weekly highlights below and then take a look at the best of HBO Max’s TV shows.

What’s new this week (June 13-19)

Here are this week’s highlights.

Wednesday

  • La Unidad, season 2 (2020) — Police thriller. A secret unit of cops is assembled to stop a terrorist band from attacking Spain after their leader is arrested there.

Friday

  • Lucas the Spider, more season 1 episodes (2021- ) — Animated preschool show. Lucas introduces his diverse friendship group, one by one, in his own joyous, hilarious way. 

Here are some other HBO Max originals worth checking out.

Read more: The Best Movies to Watch on HBO Max | HBO Max: Movies Streaming Now and Everything Else to Know

Best HBO Max original TV series


Comedy


http://www.cnet.com/

HBO Max

In Barry’s opening scene, SNL alum Bill Hader casually leaves a hotel room that contains a dead body. The actor plays hitman Barry Berkman, who isn’t happy with life or his unconventional profession, but his path is altered when he travels to Los Angeles and gets roped into performing in an acting class. Barry features plenty of violence and a deeply troubled protagonist, leaning into the “dark” part of its dark comedy designation. But it’s also really funny, and it’s getting a third season in April. At the very least, you’ll want to tune in for truly great scenes between Hader and his acting teacher, played by Henry Winkler. 

http://www.cnet.com/

Rekha Garton/HBO

This HBO miniseries introduces Natasha (Michelle De Swarte), a 38-year-old woman who’s clearly uninterested in having children. But then she suddenly finds herself strapped to a baby when it falls off a cliff and into her arms. She tries to pass the youngster off to others, but untimely deaths (which are curiously always in the presence of the baby) keep her from getting away with it. One thing is already clear: The Baby’s blend of comedy and horror is to die for.

http://www.cnet.com/

HBO Max

The great Jean Smart rightfully takes the spotlight in this acclaimed comedy-drama series. Throwing iPads into swimming pools and delivering withering looks, Smart plays Deborah Vance, a legendary Las Vegas comedy diva who must face the prospect of appealing to a younger audience or disappearing into obscurity. She’s partnered with Ava (Hannah Einbinder), a young and equally snarky comedy writer, to freshen up her material. Perfectly balancing its biting insight into how the comedy business treats women, with the warmth of an odd couple buddy comedy, Hacks is one of the best originals to come out of HBO Max.

http://www.cnet.com/

Jake Giles Netter/HBO Max

Our Flag Means Death (2022- )

In this comedy set on the high seas, Rhys Darby plays Stede Bonnet, an aristocrat who abandons his cushy life and family to become the captain of a pirate ship. Spoiler: He hilariously bumbles through the gig. Under Bonnet’s leadership, the show’s seafaring crew is far from the tough, swashbuckling group you might encounter in something like Pirates of the Caribbean (they spend their downtime hand-sewing, and they enjoy a competently narrated bedtime story). It all leads to plenty of laugh-out-loud moments. Game of Thrones fans may spot Hodor actor Kristian Nairn hanging out among the crew, and the series also stars Taika Waititi as Blackbeard.

http://www.cnet.com/

Katrina Marcinowski/HBO Max

In Minx, set in ’70s Los Angeles, funny and motivated (if uptight) Joyce has a dream of creating a feminist women’s magazine. At a pitch festival, she crosses paths with nude-magazine mogul Glenn, and eventually, the unlikely pair joins forces on a mag that packages Joyce’s stories alongside images of nude men. Yes, there’s a lot of nudity here (the first episode, for instance, includes a montage of male genitalia), so if that’s not your jam, be prepared. Ophelia Lovibond is fabulous as the show’s leading lady, and the cast has tons of chemistry. If you’re searching for a refreshing, highly entertaining story with a killer ensemble, flip through the pages of this HBO series.

http://www.cnet.com/

HBO Max

Black Mirror, but there’s light at the end of the tunnel. This satirical comedy hinges on Cristin Milioti’s comedic talents. Hazel Green escapes a 10-year marriage — until she realizes her husband, a tech billionaire, has fitted a chip into her brain. He can see her every move and track her down to negotiate their marriage. Hazel searches for freedom with the help of her dad, played by Ray Romano, who’s in an unorthodox relationship of his own. A few twists, a helpful dolphin and socially awkward people also tag along for this disturbing ride.

http://www.cnet.com/

HBO Max

The Sex Lives of College Girls (2021- )

Mindy Kaling co-created this dramedy about four 18-year-old girls who start their freshman year of college together in Vermont. Equipped with distinctly different personalities, the college newcomers navigate love and sex in their own ways. The show is funny, easily bingeable and is bolstered by the chemistry between its female leads. A contemporary teen comedy showcasing messy experiences, relatable characters and raunchy jokes.

http://www.cnet.com/

HBO Max

The Righteous Gemstones (2019- )

This outrageous series highlights a highly dysfunctional family of famous televangelists called the Gemstones. In the show’s first season, a member of the family is blackmailed, and ridiculous antics ensue. John Goodman stars as the family patriarch, Eli, and Danny McBride, Edi Patterson and Adam Devine also commit to the bit, pulling off an absurd and addicting black comedy. The second season of the show just wrapped up, and HBO has already renewed the series for a third. 

http://www.cnet.com/

HBO Max

Starstruck is a classic screwball comedy, starring the lovably goofy Rose Matafeo. She plays Jessie, a twentysomething Londoner who parties it up on New Year’s Eve, then later discovers she had a one-night stand with Tom Kapoor, a celebrity played by Nikesh Patel. Follow Jessie as she juggles odd jobs, from cinema worker to nanny, and her blossoming relationship with a film star that involves no high jinks whatsoever. Watch out for scene-stealer Minnie Driver as Tom’s agent in this witty, neatly crafted comedy package.

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|10″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GYBNNbABUnb1QoQEAAABA”,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 10,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-03440786-5a2e-4a18-89da-471725ec3a7e .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GYBNNbABUnb1QoQEAAABA” rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

The best TV show of 2021 might already be here. It’s a Sin follows a group of young gay men living in London during the ’80s, just when HIV/AIDS was first diagnosed. This unique look at the early stages of what became a death sentence is handled with creator Russell T Davies’ trademark irrepressible joy for life. The warm, empathetic characters continue to live their lives to the full, flitting between bustling share houses and local bars to the beat of a popping ’80s soundtrack. Fast-paced, stylish and eye-opening, with a prevailing sense of hope, It’s a Sin is a soaring triumph for everyone to fall in love with.

http://www.cnet.com/

HBO

In the words of CNET reviewer Richard Knightwell: “2020 sucked. You got up every morning and it all was all just a tiny bit worse. But every now and then a ray of sun would appear through the clouds. One of those bright spots was Betty, a fly-on-wall-style tale of skateboarding teens in a balmy New York. Utterly real and breathlessly dreamy at the same time, HBO’s TV follow-up to the indie hit Skate Kitchen painted a picture of young women facing the world head-on, pushing off and gaining speed and reducing obstacles into things waiting to be jumped over while looking cool. My baby daughter turned one while this show was on, and I can’t wait to plonk her on a skateboard. I hope she finds a Betty crew of her own.”

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|13″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GX6MziQh41pYSwwEAAAK4″,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 13,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-b1efc7dc-3db2-4902-86b5-6df94118ff5d .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GX6MziQh41pYSwwEAAAK4″ rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

I Hate Suzie sees Billie Piper team up once again with Secret Diary of a Call Girl writer Lucy Prebble. The result is a frenetic tour de force of ideas, steered by a vulnerable performance from Piper. She plays the titular Suzie, an actress who, moments after winning a part in a Disney movie, discovers she’s one of the victims in a celebrity phone hacking scandal. Each episode explores a stage of trauma, tackling the question of how compromising leaks both upend and perhaps liberate a person’s life. Amid the ruthless satire is a wonderful friendship between Suzie and her manager Naomi (Leila Farzad).

http://www.cnet.com/

HBO Max

The sibling rivalry is strong and primed for hilarity in this comedy from a couple of Saturday Night Live writers. Chris Kelly and Sarah Schneider tell the story of Cary (Drew Tarver) and Brooke (Heléne Yorker), siblings in their late 20s who struggle with the sudden rise to internet fame of their 13-year-old Justin Bieber-channeling brother. Molly Shannon is a treat as their mother, Pat, ushering her children through open doors to success. Once you get over the gimmicky premise, The Other Two’s pop culture satire and surprisingly heartfelt storylines are a winning combination. Schitt’s Creek fans should give this a look.

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|15″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXrBDuAniEYC9JwEAAAWV”,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 15,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-6e3a2dda-f266-4802-9433-162b3bbe1f09 .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXrBDuAniEYC9JwEAAAWV” rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

From the minds of the gang behind Horrible Histories comes Ghosts, a sitcom that manages to become better and better with every episode. The ever-reliable Charlotte Ritchie (Feel Good, Call The Midwife) stars as Alison, a woman doing up the old mansion she inherited with the help of her amateur builder husband. On top of money problems, their reno plans aren’t helped by the ghostly residents who want the house to themselves. If you’re on the look out for purely light-hearted viewing, Ghosts delivers a high gag rate, a talented comedic ensemble and even an endearing arc of friendship. Most of all, it’s gleefully silly.

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|16″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXxnHdAHS5cN_vAEAAAKa”,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 16,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-43292344-5171-44df-9fb1-63ee0e25f405 .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXxnHdAHS5cN_vAEAAAKa” rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

This black comedy takes us from London to Newcastle, Australia, following the misfortune of a woman who loses everything after the untimely death of her husband (don’t ask how he died). Broke and desperate, Sammy is forced to return to her hometown with her son and daughter, where she soon discovers she isn’t exactly a popular resident. The cringe factor is strong as Sammy does everything in her power to return to London, with some standout moments when she reunites with her bickering brother.

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|18″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXwy9BAERb7nDHQEAAAcv”,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 18,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-e7979dc1-c56e-435b-8cbd-d558075dcecc .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXwy9BAERb7nDHQEAAAcv” rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

Based on a memoir, Pure isn’t your average coming-of-age comedy about a young woman newly moved to London. Marnie struggles with a form of OCD called Pure O, which causes her to have intrusive sexual thoughts, often in the worst moments. (Her own mother features in one of these thoughts — no wonder Marnie leaves home.) What Pure does best is address stereotypes about OCD in compassionate ways. Marnie traverses the same stresses as other twenty-somethings: a new job, her sexuality and friendship. An enlightening, relatable and essential comedy.

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|19″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXqSOLwNbYcLDwgEAAAcD”,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 19,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-2df61858-d059-4699-b463-d0354c08cedf .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXqSOLwNbYcLDwgEAAAcD” rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

Stath Lets Flats is one of the best new British TV shows that trades in quintessentially absurd British humor. Stath is a socially inept Greek-Cypriot letting agent, whose dad hands him a job working for his company. Despite his ineptitude, Stath perseveres with his new vocation, showing flats to potential customers with the electricity cut off or with the security alarm blaring because he can’t remember the code. His attempts to impress his father burn the same cringe appeal as The Office, which also sprinkled in poignant moments ensuring you rooted for the characters. Stick around for the even better season 2, which won three BAFTAs.

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|20″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXa-mxg4SNINiYAEAAAF3″,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 20,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-55986b82-c186-40b8-b7a1-39cee650f9dd .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXa-mxg4SNINiYAEAAAF3″ rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

Search Party caught the eye of HBO Max, shifting to production with the streamer in its third and fourth seasons. The latter is arguably its best yet, taking the story of four, clueless millennials to even greater extremes, including a bizarrely brilliant Susan Sarandon cameo. But we begin when twentysomething Dory becomes an amateur detective to track down a missing woman she barely knew in college. Really, she’s searching for something else: herself. Equally conceited are her boyfriend Drew, the scene-stealing Elliott and the hilariously blonde Portia. This oddball show somehow creates the perfect cocktail of dark humor, mystery and insane characters. A collector’s item that won’t come around very often.

Drama


http://www.cnet.com/

Carole Bethuel/HBO

In this captivating drama miniseries, Alicia Vikander (Ex Machina, 2018’s Tomb Raider) plays Mira, a young movie star who takes a role outside her normal blockbuster — a criminal gang’s muse in a remake of real-life French silent film The Vampires. In the first episode of HBO’s show, the film’s director struggles to keep the production afloat. Meanwhile, an ex-lover toys with Mira. The series is based on a cult 1996 film of the same name, and both are directed by Olivier Assayas. For interesting characters, great dialogue and a show with something to say about making movies today, tune in to new episodes as they premiere on Mondays. 

http://www.cnet.com/

HBO Max

With Station Eleven, post-apocalyptic TV fans are in for a treat. The show’s nonlinear storytelling will keep you on your toes, and well-conceived characters add to the appeal. As most of humanity succumbs to a flu-like virus, a young girl named Kirsten and an adult named Jeevan take shelter from the scourge. But from there, the show immediately launches 20 years into the future, which opens the story up to new dramatic turns and keeps us guessing at the past. It’s really good TV, and it will likely satisfy those who don’t typically opt for post-apocalyptic stories. 

http://www.cnet.com/

Seacia Pavao/HBO Max

Following the life of television chef and cookbook writer Julia Child, this enticing period drama doles out a generous serving of humor and charm (and delicious-looking food, of course). Sarah Lancashire is endlessly watchable as the famed American cook, who paved the way for future cooking shows with her long-running series The French Chef. All eight episodes of the season are available on the streamer now, and HBO Max has confirmed it’s dishing out a second season. 

http://www.cnet.com/

HBO Max

A dramatized miniseries that draws in part from a 2004 documentary of the same name, HBO’s The Staircase is an enthralling take on a true-life story with fleshed-out characters and an all-star cast. Colin Firth stars as Michael Peterson, a novelist and husband to Kathleen (Toni Collette), who is found dead under suspicious circumstances. You’ll want to tune in to see what happens next. Sophie Turner, Dane DeHaan, Parker Posey and others also lend their talents to the drama.

http://www.cnet.com/

HBO Max

What was initially a limited series was so good HBO renewed it for a second season. The satire about guests at a fancy resort gradually unveils the darker edges of its picture-perfect postcard. The White Lotus features an ensemble cast, including Jennifer Coolidge, Alexandra Daddario, Steve Zahn, Molly Shannon and more hilarious people, who make this series soar. If that wasn’t enough, a murder mystery with the big reveal waiting till the very end will keep you thoroughly entertained.

http://www.cnet.com/

Warrick Page/HBO Max

Winning Time: The Rise of the Lakers Dynasty (2022- )

Winning Time is a sports drama, but sports are hardly its only focus. Set in the ’80s, this series fixes its lens on the Los Angeles Lakers, chronicling the professional and personal lives of businessman Jerry Buss, superstar Magic Johnson and others involved in the sports dynasty at that time. The series’ first installment (they all clock in at around an hour) takes us through the lead-up to the Lakers signing Johnson, and establishes the show’s focus on the glitz and glamour of LA. Older camera techniques add a vintage feel, and breakout star Quincy Isaiah, who plays Johnson, makes an impression. Bottom line? You’ll want to check out Winning Time.

http://www.cnet.com/

HBO

Euphoria’s second installment is on HBO Max now. This visually stunning series has garnered its fair share of fans, and it’s not hard to see why — the absorbing performances, cinematography and exploration of mature topics make this show shine. If nothing else, stick around to see Dune star Zendaya, who plays teenager Rue.

http://www.cnet.com/

HBO Max

HBO Max thankfully brings this lauded Spanish miniseries to screens around the world. Veneno chronicles the life of Spanish icon Cristina Ortiz Rodríguez, a transgender singer and ’90s TV personality better known by the nickname “La Veneno” or “poison” in Spanish. Her enigmatic story comes under the lens of a curious journalism student grappling with her own identity. By turns hilarious, explicit and heart-breaking, this must-watch biographical miniseries explores survival and the influence of mass media.

Sci-fi


http://www.cnet.com/

HBO

In this HBO show, lifelike humanoid robots occupy a Wild West-themed amusement park, where human visitors are able to interact with them in any way they choose (rape, murder — no abhorrent action is off the table). These theme park “hosts” usually forget the brazenly violent things that occur to them. But a new update to some of the hosts disrupts the status quo. This complex sci-fi series will get you thinking, and there are already three seasons to binge.

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|31″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GX0WFcAlf5r5cuAEAAADu”,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 31,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-e0b053c7-06d0-4b37-82df-0eefddc07fc2 .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GX0WFcAlf5r5cuAEAAADu” rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

Raised by Wolves will satisfy those who want to spend a lot of time (nearly 10 hours) in a world brought to the screen with the help of Ridley Scott. Two androids, Mother and Father, attempt to establish an atheist human colony on a new planet, after a war with a religious order destroys Earth. But they soon discover controlling the beliefs of humans is a tricky task. Directing the first two episodes, as well as pulling the strings as an executive producer, Scott sets up a provocative exploration into AI and religious beliefs. There’s blood, big performances and a powerful lead in Amanda Collin’s “Mother.”

Superhero


http://www.cnet.com/

HBO Max

Following the events of 2021’s The Suicide Squad, this DC spinoff catches up with Peacemaker (John Cena), our towering, costume-clad protagonist who’s just been released from the hospital. Peacemaker believes he’s a superhero, but with his oft-repeated phrase about attaining “peace, no matter how many people I have to kill to get it,” the title doesn’t really suit him. The show establishes Peacemaker’s next steps — he isn’t returning to prison, but instead taking part in a black ops mission that will (again) get his hands dirty. The show often lands its jokes, and you’ll especially enjoy its entertaining supporting cast.

Thriller


http://www.cnet.com/

HBO Max

The Tourist starts its engine with an intense car chase in the Australian outback. More specifically, Belfast star Jamie Dornan is mercilessly chased off road and through the desert by a semitrailer. The next thing we know, Dornan’s character is in the hospital with complete amnesia. A fun and twisty miniseries, The Tourist lets us tag along with Dornan as he searches for answers. One mystery that doesn’t need solving? What you should watch tonight.

u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|34″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GX5MHsQzwwIuLwgEAAACp”,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 34,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-4b9cedc5-ca00-4d55-875a-01e0268f3bd0 .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GX5MHsQzwwIuLwgEAAACp” rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

This compulsive thriller starring Kaley Cuoco is one of the best new shows to come out of HBO Max. Cuoco plays Cassie, a reckless flight attendant who sleeps with a passenger on a wild night out. She wakes up in Bangkok with barely any memory — and a dead body in bed with her. With the ghost of the deceased helping her piece things back together, she sobers up and takes on the mystery of what happened. Watch out for a fantastic title sequence, as well as a surprisingly dark psychological layer. But mainly enjoy the amusing combination of an inept detective bumbling through the world of cold killers.

Animation


http://www.cnet.com/

HBO Max

Adventure Time: Distant Lands (2020-21)

Two years after Adventure Time ended, this four hour-long special came along, and it’s a brilliant treat for fans of the animated series. The miniseries nails the spinoff brief, introducing new characters and expanding on the Land of Ooo universe, while remaining true to its source material. Its heroes Finn and Jake, his magical doggo pal, set off on new adventures, along with Princess Bubblegum, Marceline the Vampire Queen and BMO. The hourlong format is a nice way to change up and add to the exciting storytelling. A surprisingly emotional ride packed with every ingredient that made the original so beloved.

http://www.cnet.com/

HBO Max

Not a fan of cartoons? Let Infinity Train change your mind — all four seasons of the critically acclaimed show explore complex themes through character-driven storylines. Season 1 follows Tulip Olsen, a girl struggling with her parents’ recent divorce. Along with her pals — a confused robot and a talking corgi — she explores a seemingly endless train, whose passengers all have unresolved emotional issues or trauma. How do they leave the train? By resolving their issues, of course. Dark, challenging and magnificent, this is animated viewing like you’ve rarely seen it. Definitely not just for kids.

Crime


http://www.cnet.com/

Paul Schiraldi/HBO

This well-reviewed crime miniseries comes from David Simon and George Pelecanos, who’ve also worked together on The Deuce, Treme and The Wire (which Simon created). It’s directed by King Richard’s Reinaldo Marcus Green. Based on a nonfiction book written by a Baltimore Sun reporter, the absorbing, six-episode show explores police corruption through a story about the Baltimore Police Department’s Gun Trace Task Force.

http://www.cnet.com/

HBO Max

Season 1 of Tokyo Vice, a crime drama based on a book by journalist Jake Adelstein, has slickly stepped on to HBO Max. Set in Japan in the late 1990s, this noir follows an American journalist (Ansel Elgort) who eagerly joins the staff of a major Japanese newspaper. A world of grisly murders, neon nightclubs and powerful crime bosses awaits.

Romance


u0022u0022nn

n “,”topic”:””,”ttag”:””,”searchDim”:”article-body|listicle|image”,”variant”:”article-body|listicle|image”,”viewguid”:””,”event”:”listicle|image|40″,”correlationId”:””,”_destCat”:”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=[subid_value]&aff_sub2=[3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9]&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXrxUzQ5VqrGGtAEAAAAd”,”productName”:””,”formatType”:”IMAGE”,”location”:”LIST”,”position”: 40,”sku”:””,”dwLinkTag”:”article-body|listicle|image”,”selector”:”#article-body #listicle-014a43ab-cd85-4895-86ff-2ec2ad79710a .itemImage”}}” data-omitnoreferrer=”http://www.cnet.com/” href=”http://cnetpartner.go2cloud.org/aff_c?offer_id=1&aff_id=1&aff_sub=cn-___COM_CLICK_ID___-dtp___OPTOUT___&aff_sub2=%5B3bd31baf-1b2b-4aa1-ba92-efcf76dadfe9%5D&source=cnet&aff_unique1=https://www.hbomax.com/series/urn:hbo:series:GXrxUzQ5VqrGGtAEAAAAd” rel=”noopener nofollow” target=”_blank”>

http://www.cnet.com/

HBO Max

Love Life is an anthology series that focuses on a different character’s love life until they meet the person they’re meant to be with. The first chapter follows Anna Kendrick’s Darby, an aspiring art collector who dates a range of different men with complicated results. Love Life paints a refreshingly imperfect picture, traveling a long, messy road that ultimately offers a hopeful look at relationships.

Movies Coming in 2022 From Marvel, Netflix, DC and More


See all photos

Read More

Continue Reading
Click to comment

Leave a Reply

Your email address will not be published.

Tech

Google Pixel 7 and 7 Pro are getting a built-in VPN at no extra cost

Published

on

By

Google Pixel 7 and 7 Pro are getting a built-in VPN at no extra cost
Google Pixel 7 Pro hands on front Snow



(Image credit: Future / Lance Ulanoff)

Users of the Google Pixel 7 and 7 Pro devices will be able to secure their data without the need to pay for an additional Android VPN after the company said it would be including its Google One VPN service at no extra cost. 

The move will make the Pixel 7 and 7 Pro the first smartphones to include a free VPN connection. 

The offer is restricted to just some countries, though – and what’s more, some data won’t be secured inside the VPN tunnel.  

Peace of mind when you connect online ✨Later this year, #Pixel7 and 7 Pro will be the only phones with a VPN by Google One—at no extra cost.¹#MadeByGoogle¹See image for more info pic.twitter.com/P7lzyoMdekOctober 6, 2022

See more

Google Pixel 7 VPN

Despite the aforementioned limits, the big tech giant assures that the VPN software won’t associate users’ app and browsing data with users’ accounts. 

Google One VPN typically costs around $10 per month as part of the company’s Premium One plan, which also comes with a 2TB of cloud storage on top. 

This decision is the latest move to bring Google’s mobile data security to the next level. Not too long ago, the company made Google One VPN available also for iOS devices, and also introduced the option of having an always-on VPN across its latest smartphones. 

Google promises that its secure VPN software will shield your phone against hackers on unsecure networks, like public Wi-Fi. It will also hide your IP address so that third parties won’t be able to track your location.

Shorter for virtual private network, a VPN is exactly the tool you want to shield your sensitive data as it masks your real location and encrypts all your data in transit. Beside privacy, it can allow you to bypass geo-restrictions and other online blocks. 

Chiara is a multimedia journalist, with a special eye for latest trends and issues in cybersecurity. She is a Staff Writer at Future with a focus on VPNs. She mainly writes news and features about data privacy, online censorship and digital rights for TechRadar, Tom’s Guide and T3. With a passion for digital storytelling in all its forms, she also loves photography, video making and podcasting. Originally from Milan in Italy, she is now based in Bristol, UK, since 2018.

Read More

Continue Reading

Tech

The Steam Deck dock is finally here and will ship faster than you think

Published

on

By

The Steam Deck dock is finally here and will ship faster than you think
a steam deck placed in a steam deck dock



(Image credit: Valve)

After months of waiting and delays, Valve has finally announced that the Steam Deck dock is available for purchase on its official site.

Not only that but, according to Valve, the dock will ship out in an incredibly fast one to two weeks, which pairs with the fact that the Steam Deck itself is now shipping with no wait time (not to mention that it’s incredibly easy to set up). The port selection is pretty solid as well, with the dock featuring three USB-A 3.1 gen 1 ports, one Ethernet port, a DisplayPort 1.4, and an HDMI 2.0 port. And for its power supply, it uses a USB-C passthrough delivery.

A Steam Deck dock will run you $90 (around £81 / AU$140), which is a bit steeper than most third-party options on the market right now. But for those waiting it out for an official product until now, price most likely will not be an issue.

Is it worth buying? 

Considering that even Steam Decks themselves are shipping without a queue and that the dock has such a quick turnaround to delivery, it seems that the supply chain issues that had been gripping Valve are loosening considerably.

However, the deck itself is far from perfect. Because of the fact that it uses USB-C for the display port, a third-party USB-C dock that uses its own power supply and video out will output the display of the official dock. 

And as mentioned before, the price of the official Steam Deck dock is steeper than many third-party options on the market, meaning that those who are on a budget might pass this product up in favor of a lower-priced one.

There are also some bugs that Valve is working on fixing at this time, including one involving compatibility with LG displays. According to the FAQ, if the “Docking Station is connected via HDMI, sleep/wake can result in visual noise.”

It might be worth waiting for Valve to work out the kinks of its dock before investing in one. And while you’re waiting, research other options that might better suit your needs.

Allisa has been freelancing at TechRadar for nine months before joining as a Computing Staff Writer. She mainly covers breaking news and rumors in the computing industry, and does reviews and featured articles for the site. In her spare time you can find her chatting it up on her two podcasts, Megaten Marathon and Combo Chain, as well as playing any JRPGs she can get her hands on.

Read More

Continue Reading

Tech

Why doesn’t Bash’s `set -e` do what I expected?

Published

on

By

Why doesn’t set -e (or set -o errexit, or trap ERR) do what I expected?

set -e was an attempt to add “automatic error detection” to the shell. Its goal was to cause the shell to abort any time an error occurred, so you don’t have to put || exit 1 after each important command. This does not work well in practice.

The goal of automatic error detection is a noble one, but it requires the ability to tell when an error actually occurred. In modern high-level languages, most tasks are performed by using the language’s builtin commands or features. The language knows whether (for example) you tried to divide by zero, or open a file that you can’t open, and so on. It can take action based on this knowledge.

But in the shell, most of the tasks you actually care about are done by external programs. The shell can’t tell whether an external program encountered something that it considers an error — and even if it could, it wouldn’t know whether the error is an important one, worthy of aborting the entire program, or whether it should carry on.

The only information conveyed to the shell by the external program is an exit status — by convention, 0 for success, and non-zero for “some kind of error”. The developers of the original Bourne shell decided that they would create a feature that would allow the shell to check the exit status of every command that it runs, and abort if one of them returns non-zero. Thus, set -e was born.

But many commands return non-zero even when there wasn’t an error. For example,

if [ -d /foo ]; then ...; else ...; fi

If the directory doesn’t exist, the [ command returns non-zero. Clearly we don’t want to abort when that happens — our script wants to handle that in the else part. So the shell implementors made a bunch of special rules, like “commands that are part of an if test are immune”, and “commands in a pipeline, other than the last one, are immune”.

These rules are extremely convoluted, and they still fail to catch even some remarkably simple cases. Even worse, the rules change from one Bash version to another, as Bash attempts to track the extremely slippery POSIX definition of this “feature”. When a SubShell is involved, it gets worse still — the behavior changes depending on whether Bash is invoked in POSIX mode. Another wiki has a page that covers this in more detail. Be sure to check the caveats.

A reference comparing behavior across various historical shells also exists.

Story time

Consider this allegory, originally posted to bug-bash:

Once upon a time, a man with a dirty lab coat and long, uncombed hair
showed up at the town police station, demanding to see the chief of
police.  "I've done it!" he exclaimed.  "I've built the perfect
criminal-catching robot!"

The police chief was skeptical, but decided that it might be worth
the time to see what the man had invented.  Also, he secretly thought,
it might be a somewhat unwise move to completely alienate the mad
scientist and his army of hunter robots.

So, the man explained to the police chief how his invention could tell
the difference between a criminal and law-abiding citizen using a
series of heuristics.  "It's especially good at spotting recently
escaped prisoners!" he said.  "Guaranteed non-lethal restraints!"

Frowning and increasingly skeptical, the police chief nevertheless
allowed the man to demonstrate one robot for a week.  They decided that
the robot should patrol around the jail.  Sure enough, there was a
jailbreak a few days later, and an inmate digging up through the
ground outside of the prison facility was grabbed by the robot and
carried back inside the prison.

The surprised police chief allowed the robot to patrol a wider area.
The next day, the chief received an angry call from the zookeeper.
It seems the robot had cut through the bars of one of the animal cages,
grabbed the animal, and delivered it to the prison.

The chief confronted the robot's inventor, who asked what animal it
was.  "A zebra," replied the police chief.  The man slapped his head and
exclaimed, "Curses!  It was fooled by the black and white stripes!
I shall have to recalibrate!"  And so the man set about rewriting the
robot's code.  Black and white stripes would indicate an escaped
inmate UNLESS the inmate had more than two legs.  Then it should be
left alone.

The robot was redeployed with the updated code, and seemed to be
operating well enough for a few days.  Then on Saturday, a mob of
children in soccer clothing, followed by their parents, descended
on the police station.  After the chaos subsided, the chief was told
that the robot had absconded with the referee right in the middle of
a soccer game.

Scowling, the chief reported this to the scientist, who performed a
second calibration.  Black and white stripes would indicate an escaped
inmate UNLESS the inmate had more than two legs OR had a whistle on
a necklace.

Despite the second calibration, the police chief declared that the robot
would no longer be allowed to operate in his town.  However, the news
of the robot had spread, and requests from many larger cities were
pouring in.  The inventor made dozens more robots, and shipped them off
to eager police stations around the nation.  Every time a robot grabbed
something that wasn't an escaped inmate, the scientist was consulted,
and the robot was recalibrated.

Unfortunately, the inventor was just one man, and he didn't have the
time or the resources to recalibrate EVERY robot whenever one of them
went awry.  The robot in Shangri-La was recalibrated not to grab a
grave-digger working on a cold winter night while wearing a ski mask,
and the robot in Xanadu was recalibrated not to capture a black and
white television set that showed a movie about a prison break, and so
on.  But the robot in Xanadu would still grab grave-diggers with ski
masks (which it turns out was not common due to Xanadu's warmer climate),
and the robot in Shangri-La was still a menace to old televisions (of
which there were very few, the people of Shangri-La being on the average
more wealthy than those of Xanadu).

So, after a few years, there were different revisions of the
criminal-catching robot in most of the major cities.  In some places,
a clever criminal could avoid capture by wearing a whistle on a string
around the neck.  In others, one would be well-advised not to wear orange
clothing in certain rural areas, no matter how close to the Harvest
Festival it was, unless one also wore the traditional black triangular
eye-paint of the Pumpkin King.

Many people thought, "This is lunacy!"  But others thought the robots
did more good than harm, all things considered, and so in some places
the robots are used, while in other places they are shunned.

The end.

Exercises

Or, “so you think set -e is OK, huh?”

Exercise 1: why doesn’t this example print anything?

   1 
   2 set -e
   3 i=0
   4 let i++
   5 echo "i is $i"

Exercise 2: why does this one sometimes appear to work? In which versions of bash does it work, and in which versions does it fail?

   1 
   2 set -e
   3 i=0
   4 ((i++))
   5 echo "i is $i"

Exercise 3: why aren’t these two scripts identical?

   1 
   2 set -e
   3 test -d nosuchdir && echo no dir
   4 echo survived
   1 
   2 set -e
   3 f() { test -d nosuchdir && echo no dir; }
   4 f
   5 echo survived

Exercise 4: why aren’t these two scripts identical?

   1 set -e
   2 f() { test -d nosuchdir && echo no dir; }
   3 f
   4 echo survived
   1 set -e
   2 f() { if test -d nosuchdir; then echo no dir; fi; }
   3 f
   4 echo survived

Exercise 5: under what conditions will this fail?

   1 set -e
   2 read -r foo < configfile

(Answers)

But wait, there’s more!

Even if you use expr(1) (which we do not recommend — use arithmetic expressions instead), you still run into the same problem:

   1 set -e
   2 foo=$(expr 1 - 1)
   3 
   4 echo survived

Subshells from command substitution unset set -e, however (unless inherit_errexit is set with Bash 4.4):

   1 set -e
   2 foo=$(expr 1 - 1; true)
   3 
   4 echo survived

Note that set -e is not unset for commands that are run asynchronously, for example with process substitution:

   1 set -e
   2 mapfile foo < <(true; echo foo)
   3 echo ${foo[-1]} 
   4 mapfile foo < <(false; echo foo)
   5 echo ${foo[-1]} 

Another pitfall associated with set -e occurs when you use commands that look like assignments but aren’t, such as export, declare, typeset or local.

   1 set -e
   2 f() { local var=$(somecommand that fails); }
   3 f    
   4 
   5 g() { local var; var=$(somecommand that fails); }
   6 g    

In function f, the exit status of somecommand is discarded. It won’t trigger the set -e because the exit status of local masks it (the assignment to the variable succeeds, so local returns status 0). In function g, the set -e is triggered because it uses a real assignment which returns the exit status of somecommand.

A particularly dangerous pitfall with set -e is combining functions with conditionals. The following snippets will not behave the same way:

   1 set -e
   2 f() { false; echo "This won't run, right?"; }
   3 f
   4 echo survived
   1 set -e
   2 f() { false; echo "This won't run, right?"; }
   3 if f; then  
   4     echo survived
   5 fi

As soon as a function is used as a conditional (in a list or with a conditional test or loop) set -e stops being applied within the function. This may not only cause code to unexpectedly start executing in the function but also change its return status!

Using Process substitution, the exit code is also discarded as it is not visible from the main script:

   1 set -e
   2 cat <(somecommand that fails)
   3 echo survived

Using a pipe makes no difference, as only the rightmost process is considered:

   1 set -e
   2 somecommand that fails | cat -
   3 echo survived

set -o pipefail is a workaround by returning the exit code of the first failed process:

   1 set -e -o pipefail
   2 failcmd1 | failcmd2 | cat -
   3 
   4 echo survived

though with pipefail in effect, code like this will sometimes cause an error, depending on whether the output of somecmd exceeds the size of the pipe buffer or not:

   1 set -e -o pipefail
   2 somecmd | head -n1
   3 
   4 echo survived

So-called strict mode

In the mid 2010s, some people decided that the combination of set -e, set -u and set -o pipefail should be used by default in all new shell scripts. They call this unofficial bash strict mode, and they claim that it “makes many classes of subtle bugs impossible” and that if you follow this policy, you will “spend much less time debugging, and also avoid having unexpected complications in production”.

As we’ve already seen in the exercises above, these claims are dubious at best. The behavior of set -e is quite unpredictable. If you choose to use it, you will have to be hyper-aware of all the false positives that can cause it to trigger, and work around them by “marking” every line that’s allowed to fail with something like ||true.

Conclusions

GreyCat‘s personal recommendation is simple: don’t use set -e. Add your own error checking instead.

rking’s personal recommendation is to go ahead and use set -e, but beware of possible gotchas. It has useful semantics, so to exclude it from the toolbox is to give into FUD.

geirha’s personal recommendation is to handle errors properly and not rely on the unreliable set -e.

Read More

Continue Reading

Trending

Copyright © 2022 Xanatan